org.eclipse.jdt.core.util

## Interface IConstantPoolEntry2

All Superinterfaces:
  IConstantPoolEntry

All Known Subinterfaces:
  IConstantPoolEntry3

    public interface IConstantPoolEntry2
    extends IConstantPoolEntry

Description of the new constant pool entry as described in the JVM specifications added for Java 7 support. Its contents is initialized according to its kind. This interface may be implemented by clients.

Since:
  3.8

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getBootstrapMethodAttributeIndex()` Returns the bootstrap method attribute index.
`int` `getDescriptorIndex()` Returns the descriptor index.
`int` `getReferenceIndex()` Returns the reference index.
`int` `getReferenceKind()` Returns the reference kind.

### Methods inherited from interface org.eclipse.jdt.core.util.IConstantPoolEntry

`getClassIndex, getClassInfoName, getClassInfoNameIndex, getClassName, getDoubleValue, getFieldDescriptor, getFieldName, getFloatValue, getIntegerValue, getKind, getLongValue, getMethodDescriptor, getMethodName, getNameAndTypeIndex, getNameAndTypeInfoDescriptorIndex, getNameAndTypeInfoNameIndex, getStringIndex, getStringValue, getUtf8Length, getUtf8Value`

### Method Detail

#### getDescriptorIndex

    int getDescriptorIndex()

Returns the descriptor index. This value is set only when decoding a MethodType entry. The value is unspecified otherwise. The corresponding UTF8 value can be retrieved by using `IConstantPoolEntry.getMethodDescriptor()`.

Returns:
  the descriptor index. This value is set only when decoding a MethodType entry.
See Also:
  `IConstantPoolConstant.CONSTANT_MethodType`

#### getReferenceKind

    int getReferenceKind()

Returns the reference kind. This value is set only when decoding a MethodHandle entry. The value is unspecified otherwise.

Returns:
  the reference kind. This value is set only when decoding a MethodHandle entry.
See Also:
  `IConstantPoolConstant.CONSTANT_MethodHandle`

#### getReferenceIndex

    int getReferenceIndex()

Returns the reference index. This value is set only when decoding a MethodHandle entry. The value is unspecified otherwise.

Returns:
  the reference kind. This value is set only when decoding a MethodHandle entry.
See Also:
  `IConstantPoolConstant.CONSTANT_MethodHandle`

#### getBootstrapMethodAttributeIndex

    int getBootstrapMethodAttributeIndex()

Returns the bootstrap method attribute index. This value is set only when decoding a InvokeDynamic entry. The value is unspecified otherwise.

Returns:
  the reference kind. This value is set only when decoding a MethodHandle entry.
See Also:
  `IConstantPoolConstant.CONSTANT_InvokeDynamic`